%define	major 6
%define libname	%mklibname event %{major}
%define develname %mklibname -d event

Summary:	Abstract asynchronous event notification library
Name:		libevent
Version:	2.1.8
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.monkey.org/~provos/libevent
Source0:	https://github.com/downloads/libevent/libevent/%{name}-%{version}-stable.tar.gz
Patch0:		libevent-version-info-only.patch
Patch1:		libevent-linkage_fix.diff
Patch2:		libevent-2.0.13-manpages-on.patch
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	doxygen

%description
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

%package -n	%{libname}
Summary:	Abstract asynchronous event notification library
Group:          System/Libraries

%description -n	%{libname}
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

%package -n	%{develname}
Summary:	Static library and header files for the libevent library
Group:		Development/C
Provides:	event-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname -d event 2}

%description -n	%{develname}
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

This package contains the static libevent library and its header files needed
to compile applications such as stegdetect, etc.

%prep
%setup -q -n %{name}-%{version}-stable
%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
autoreconf -fi

export CFLAGS="%{optflags} -fPIC"
%configure2_5x --disable-static
%make_build

# provide man pages
make doxygen

#%%check
#pushd test
#    make verify
#popd

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

# don't enforce python deps here
rm -f %{buildroot}%{_bindir}/event_rpcgen.py

# provide man pages
install -d %{buildroot}%{_mandir}/man3
install -m0644 doxygen/man/man3/*.3 %{buildroot}%{_mandir}/man3/

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*


%changelog
* Sat Feb 11 2017 mrambo3501 <mrambo3501> 2.1.8-1.mga6
+ Revision: 1085772
- version 2.1.8 fixes CVE-2016-1019[5-7]
  modified patch 0 to apply to new version

* Wed Mar 02 2016 umeabot <umeabot> 2.0.22-3.mga6
+ Revision: 983568
- Rebuild for openssl

* Tue Feb 09 2016 umeabot <umeabot> 2.0.22-2.mga6
+ Revision: 951674
- Mageia 6 Mass Rebuild

* Tue Jan 06 2015 luigiwalser <luigiwalser> 2.0.22-1.mga5
+ Revision: 808838
- 2.0.22 (fixes CVE-2014-6272)
- remove patch 3 (fixed upstream)

* Wed Oct 15 2014 umeabot <umeabot> 2.0.21-7.mga5
+ Revision: 745005
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.21-6.mga5
+ Revision: 681447
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.0.21-5.mga4
+ Revision: 540658
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 2.0.21-4.mga4
+ Revision: 494109
- rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.21-3.mga3
+ Revision: 357066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 guillomovitch <guillomovitch> 2.0.21-2.mga3
+ Revision: 336587
- fix build with automake 1.13, and fix virtual packages names

* Sat Nov 24 2012 luigiwalser <luigiwalser> 2.0.21-1.mga3
+ Revision: 321658
- 2.0.21

* Sun Aug 26 2012 fedya <fedya> 2.0.20-1.mga3
+ Revision: 284032
- version update 2.0.20

* Fri Jun 01 2012 dams <dams> 2.0.19-1.mga3
+ Revision: 252745
- new version 2.0.19

* Tue Mar 06 2012 luigiwalser <luigiwalser> 2.0.17-1.mga2
+ Revision: 219467
- 2.0.17

* Sun Jan 22 2012 fwang <fwang> 2.0.16-1.mga2
+ Revision: 199382
- new version 2.0.16

* Sun Nov 27 2011 tv <tv> 2.0.14-1.mga2
+ Revision: 172641
- new release
- patch 2: enable man pages
- new release

* Thu Jul 14 2011 fwang <fwang> 2.0.12-1.mga2
+ Revision: 123953
- new version 2.0.12

* Sat Jan 22 2011 ahmad <ahmad> 2.0.10-2.mga1
+ Revision: 31856
- drop old/unneeded scriptlets
- imported package libevent

